Module
Contents
Index 🔎︎

# Funcions lògiques

This category contains the Logical functions.

### Handling non-logical arguments in logical functions

- Zero (0) is equivalent to FALSE and all other numbers are equivalent to TRUE.

- Empty cells and text in cells are ignored.

- A #VALUE error is raised if all arguments are ignored.

- A #VALUE error is raised if one argument is direct text (not text in a cell).

- Errors as argument lead to an error.

Per accedir a esta orde...

Insereix - Funció - Categoria Lògica

## CERT

El valor lògic es defineix a CERT. La funció CERT() no necessita cap argument, i sempre retorna el valor lògic CERT.

### Syntax

CERT()

### Example

Si A=CERT i B=FALS, apareixen els exemples següents:

=I(A;B) retorna FALS.

=O(A;B) retorna CERT.

=NO(I(A;B)) retorna CERT.

## FALS

Retorna el valor lògic FALS. La funció FALS() no necessita cap argument, i sempre retorna el valor lògic FALS.

### Syntax

FALS()

### Example

=FALS() retorna FALS

=NO(FALS()) retorna CERT

## I

Retorna CERT si tots els arguments són CERTS. Si un dels elements és FALS, la funció retornarà el valor FALS.

Els arguments són expressions lògiques per si mateixes (CERT, 1<5, 2+3=7, B8<10) que retornen valors lògics, o bé matrius (A1:C3) que contenen valors lògics.

### Syntax

I(ValorLògic1; ValorLògic2 ...ValorLògic30)

LogicalValue1; LogicalValue2 ...LogicalValue30 are conditions to be checked. All conditions can be either TRUE or FALSE. If a range is entered as a parameter, the function uses all values of the range. The result is TRUE if the logical value in all cells within the cell range is TRUE.

### Example

Cal comprovar els valors lògics de les entrades 12<13; 14>12 i 7<6:

=I(12<13;14>12;7<6) retorna FALS.

=I(FALS;CERT) retorna FALS.

## NO

Complementa (inverteix) un valor lògic.

### Syntax

NO(ValorLògic)

ValorLògic és el valor que s'ha de complementar.

### Example

=NO(A). Si A=CERT, llavors NO(A) serà FALS.

## O

Retorna CERT si com a mínim un argument és CERT. Si tots els arguments tenen el valor lògic FALS, la funció retorna el valor FALS.

Els arguments són expressions lògiques per si mateixes (CERT, 1<5, 2+3=7, B8<10) que retornen valors lògics, o bé matrius (A1:C3) que contenen valors lògics.

### Syntax

O(ValorLògic1; ValorLògic2 ...ValorLògic30)

LogicalValue1; LogicalValue2 ...LogicalValue30 are conditions to be checked. All conditions can be either TRUE or FALSE. If a range is entered as a parameter, the function uses all values of the range.

### Example

Cal comprovar els valors lògics de les entrades 12<11; 13>22, i 45=45.

=O(12<11;13>22;45=45) retorna CERT.

=O(FALS;CERT) retorna CERT.

## OEX

Retorna CERT si un nombre senar d'arguments té valor CERT.

Els arguments són expressions lògiques per si mateixes (CERT, 1<5, 2+3=7, B8<10) que retornen valors lògics, o bé matrius (A1:C3) que contenen valors lògics.

### Syntax

OEX(ValorLògic1; ValorLògic2 ...ValorLògic30)

### Example

=OEX(CERT;CERT) retorna FALS.

=OEX(CERT;CERT;CERT) retorna CERT.

=OEX(FALS;CERT) retorna CERT.

## SI

Indica que s'ha de fer una verificació lògica.

### Syntax

SI(Verificació; ValorAleshores; "ValorAltrament")

Verificació és qualsevol valor o expressió que pot ser CERT o FALS.

ValorAleshores (opcional) és el valor que es retorna si la verificació lògica és CERT.

ValorAltrament (opcional) és el valor que es retorna si la verificació lògica és FALS.

In the LibreOffice Calc functions, parameters marked as "optional" can be left out only when no parameter follows. For example, in a function with four parameters, where the last two parameters are marked as "optional", you can leave out parameter 4 or parameters 3 and 4, but you cannot leave out parameter 3 alone.

### Example

=SI(A1>5;100;"massa petit") Si el valor d'A1 és superior a 5, s'introdueix el valor 100 a la cel·la actual; altrament, s'hi introdueix el text "massa petit" (sense cometes).

Temes relacionats

Functions by Category